package de.frajul.endlessroll.entities.guis;

import de.frajul.endlessroll.data.Color4f;
import de.frajul.endlessroll.data.Vector;
import de.frajul.endlessroll.entities.Entity;
import de.frajul.endlessroll.entities.textures.Texture;

public class Gui extends Entity {

    protected float roundValue = 0;
    protected Color4f color = null;

    public Gui(Texture texture, Vector position, float width, float height) {
        super(texture, position, width, height);
    }

    public float getRoundValue() {
        return roundValue;
    }

    public void setRoundValue(float roundValue) {
        this.roundValue = roundValue;
    }

    public Color4f getColor() {
        return color;
    }

    public void setColor(Color4f color) {
        this.color = color;
    }

}
